> ## Documentation Index
> Fetch the complete documentation index at: https://na-36-changelog-go-livepeer-2026-05-18.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Live Video to Video

> Live Video to Video for Livepeer gateways.



## OpenAPI

````yaml POST /live-video-to-video
openapi: 3.1.0
info:
  title: Livepeer AI Runner
  description: An application to run AI pipelines
  version: 0.0.0
servers:
  - url: https://dream-gateway.livepeer.cloud
    description: Livepeer Cloud Community Gateway
  - url: https://livepeer.studio/api/beta/generate
    description: Livepeer Studio Gateway
security: []
paths:
  /live-video-to-video:
    post:
      tags:
        - generate
      summary: Live Video To Video
      description: >-
        Apply transformations to a live video streamed to the returned
        endpoints.
      operationId: genLiveVideoToVideo
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LiveVideoToVideoParams'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LiveVideoToVideoResponse'
                x-speakeasy-name-override: data
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
      security:
        - HTTPBearer: []
components:
  schemas:
    LiveVideoToVideoParams:
      properties:
        subscribe_url:
          type: string
          title: Subscribe Url
          description: Source URL of the incoming stream to subscribe to.
        publish_url:
          type: string
          title: Publish Url
          description: Destination URL of the outgoing stream to publish.
        control_url:
          type: string
          title: Control Url
          description: >-
            URL for subscribing via Trickle protocol for updates in the live
            video-to-video generation params.
          default: ''
        events_url:
          type: string
          title: Events Url
          description: >-
            URL for publishing events via Trickle protocol for pipeline status
            and logs.
          default: ''
        model_id:
          type: string
          title: Model Id
          description: >-
            Name of the pipeline to run in the live video to video job. Notice
            that this is named model_id for consistency with other routes, but
            it does not refer to a Hugging Face model ID. The exact model(s)
            depends on the pipeline implementation and might be configurable via
            the `params` argument.
          default: ''
        params:
          type: object
          title: Params
          description: Initial parameters for the pipeline.
          default: {}
      type: object
      required:
        - subscribe_url
        - publish_url
      title: LiveVideoToVideoParams
    LiveVideoToVideoResponse:
      properties:
        subscribe_url:
          type: string
          title: Subscribe Url
          description: Source URL of the incoming stream to subscribe to
        publish_url:
          type: string
          title: Publish Url
          description: Destination URL of the outgoing stream to publish to
        control_url:
          type: string
          title: Control Url
          description: URL for updating the live video-to-video generation
          default: ''
        events_url:
          type: string
          title: Events Url
          description: URL for subscribing to events for pipeline status and logs
          default: ''
      type: object
      required:
        - subscribe_url
        - publish_url
      title: LiveVideoToVideoResponse
      description: Response model for live video-to-video generation.
    HTTPError:
      properties:
        detail:
          allOf:
            - $ref: '#/components/schemas/APIError'
          description: Detailed error information.
      type: object
      required:
        - detail
      title: HTTPError
      description: HTTP error response model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    APIError:
      properties:
        msg:
          type: string
          title: Msg
          description: The error message.
      type: object
      required:
        - msg
      title: APIError
      description: API error response model.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````